import template from './sw-cms-el-bc-featured-categories.html.twig';
import './sw-cms-el-bc-featured-categories.scss';

Shopware.Component.register('sw-cms-el-bc-featured-categories', {
    template,

    mixins: [
        Shopware.Mixin.getByName('cms-element'),
        Shopware.Mixin.getByName('placeholder')
    ],
    created() {
        this.createdComponent();
    },

    methods: {
        createdComponent() {
            this.initElementConfig('bc-featured-categories');
            this.initElementData('bc-featured-categories');
        }

    },
    computed: {
        assetFilter() {
            return Shopware.Filter.getByName('asset');
        },
    }
});
